Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 920646 - dev-python/protobuf-python: version bump
Summary: dev-python/protobuf-python: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 923931
  Show dependency tree
 
Reported: 2023-12-24 07:14 UTC by Michał Górny
Modified: 2024-07-09 12:53 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2023-12-24 07:14:25 UTC
The current release is 4.25.1.
Comment 1 Larry the Git Cow gentoo-dev 2024-07-09 12:52:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea43d63d1245912a9bf8e259b70f3e2cdf51d204

commit ea43d63d1245912a9bf8e259b70f3e2cdf51d204
Author:     Paul Zander <negril.nx+gentoo@gmail.com>
AuthorDate: 2024-07-07 20:01:48 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-07-09 12:51:25 +0000

    dev-python/protobuf-python: update 5.27.2, drop 9999
    
    protobuf-python can no longer be build from github archives.
    https://github.com/protocolbuffers/protobuf/blob/main/python/README.md#building-from-setuppy
    
    Closes: https://bugs.gentoo.org/920646
    Closes: https://bugs.gentoo.org/933068
    Closes: https://bugs.gentoo.org/927521
    Closes: https://github.com/gentoo/gentoo/pull/36885
    Signed-off-by: Paul Zander <negril.nx+gentoo@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 .../protobuf-python/protobuf-python-5.27.2.ebuild  | 74 ++++----------------
 .../protobuf-python/protobuf-python-9999.ebuild    | 79 ----------------------
 2 files changed, 13 insertions(+), 140 deletions(-)